<app-legacy-map *ngIf="gameVersion === 'Legacy' || gameVersion === 'Pi'" [mapHeight]="mapHeight" (onRegionSelected)="onRegionSelected($event)"
    [countryId]="countryId"
    [showRegionDetails]="showRegionDetails" [showFilters]="showFilters"></app-legacy-map>

<app-map *ngIf="(gameVersion === 'New' || gameVersion === 'Testing') && currentRegionSelected" [mapHeight]="mapHeight"
    [circleRadius]="circleRadius" [midPoint]="{ x: currentRegionSelected.x, y: currentRegionSelected.y }"
    (regionSelected)="onRegionSelected($event)"></app-map>

<app-map-with-stats
    *ngIf="(gameVersion === 'New' || gameVersion === 'Testing') && !currentRegionSelected"></app-map-with-stats>
